/**
 * Classe che confronta i caratteri di due stringhe.
 * 
 * @author mace
 * @version 1.0
 * 
 */
public class VerificaCaratteri {

	/**
	 * Metodo di test.
	 * 
	 * @param args argomenti passati da linea di comando
	 */
	public static void main(String[] args) {
		System.out.print(verificaCaratteri("pesce",
				"precipitevolissimevolmente") + ", ");
		System.out.print(verificaCaratteri("riccio",
				"precipitevolissimevolmente") + ", ");
		System.out.print(verificaCaratteri("trota",
				"precipitevolissimevolmente") + ", ");
		System.out.println(verificaCaratteri("sgombro",
				"precipitevolissimevolmente"));
	}

	/**
	 * Verifica se tutti i caratteri del primo parametro compaiono nel secondo
	 * parametro.
	 * 
	 * @param a  stringa di riferimento.
	 * @param b  stringa in cui cercare i caratteri di <code>a</code>.
	 * @return <code>true</code> se tutti i caratteri di <code>a</code>
	 *         compaiono in <code>b</code>, <code>false</code> altrimenti.
	 */
	public static boolean verificaCaratteri(String a, String b) {
		for (int i = 0; i < a.length(); i++)
			if (b.indexOf(a.charAt(i)) == -1)
				return false;
		return true;

	}
}